## ros-indigo-jsk-footstep-controller 0.1.15

=== debian/changelog ===
ros-indigo-jsk-footstep-controller (0.1.15-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 15 May 2018 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.14-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 14 Jan 2018 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.13-0trusty) trusty; urgency=high

  * CMakeLists.txt : fix typo on install DESTINATION
  * [jsk_footstep_controller] prevent too large footstep refine
  * [jsk_footstep_controller] add utilitiy functions and update for footstep_planner
  * [jsk_footstep_controller] add keyword for sample footstep client
  * [jsk_footstep_contorller] Do not publish odom tf when publish_odom_tf param is false
  * [jsk_footstep_contorller] Update footstep params for JAXON
  * Contributors: Kei Okada, Yohei Kakiuchi, Iori Kumagai

 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 17 Apr 2017 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.12-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.11-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.10-0trusty) trusty; urgency=high

  * [jsk_footstep_controlelr/euslisp/util.l] Add function to gen pointcloud from face list
  * [jsk_footstep_controller/euslisp/util.l] Set lfoot rfoot offset based on robot model.
  * [jsk_footstep_controller/euslisp/util.l] Add function to get pointcloud included in bodies
  * [jsk_footstep_controller/euslisp/util.l,jsk_footstep_planner/euslisp/footstep-planner-client-sample.l] Move footstep action client utility to util.l and rename functions.
  * [jsk_footstep_controller] Use plane_projection in footstep_makrer
  * [jsk_Footstep_controller] floor detection does not need x/y filter
  * [jsk_footstep_controller] Use plane_projection when overwriting go-pos goal
  * [jsk_footstep_planner] Add option to wait to subscribe plane topic
  * [jsk_footstep_controller] Add plane_projection option, which projects footsteps onto subscribed planes
  * [jsk_footstep_controller] Add use_snapshot option for detected floor coefficients topic
  * [jsk_footstep_controller] Modified stabilizer_watcher's
  * [jsk_footstep_controller] fix go-pos-server.l
  * [jsk_footstep_controller] Rename old :is-walking method, which is used for overwrite decision
  * [jsk_footstep_controller] Use feedback from go-pos-server to get go-pos-server status from client
  * [jsk_footstep_controller] Publish feedback just after planning is failed
  * [jsk_footstep_controller] add go-pos-server/client
  * [jaxon-footstep-controller.l] move util functions to util.l and refactor functions
  * [jsk_footstep_controller] remove temporary file
  * [jsk_footstep_controller] Add height_offset param to consider crane and so on
  * [jsk_footstep_controller] print name of foot
  * [jsk_footstep_controller] print messages when collide footsteps
  * [jsk_footstep_controller] Modify footstep collision avoidance in jaxon-footstep-controller.l
  * [jsk_footstep_controller] Add instant collision avoidance for refined footsteps
  * [jsk_footstep_planner] update footstep_marker for appending footsteps continuously
  * [jsk_footstep_controller, footcoords] fix for using waitForSensorFrameTransformation
  * [jsk_footstep_planner] Add simple launch file to extract floor and estimate its parameters
  * [jsk_footstep_controller] new jsk_recognition_utils::Plane() causes eigen alignment issues in 32bit environment
  * [jsk_footstep_planner] project odom_init to detected floor plane (default is z = 0)
  * [jsk_footstep_controller] Add footstep-controller euslisp script for jaxon
  * Contributors: Iori Kumagai, Shunichi Nozawa, Yohei Kakiuchi, Juntaro Tamura

 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 14 Dec 2016 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.9-0trusty) trusty; urgency=high

  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * [jsk_footstep_controller] Add footstep-controller euslisp script for jaxon
  * [jsk_footstep_controller] Publish robot_bbox only when analysis_level is whole_links
  * [footstep_visualizer] Call st only once
  * [footstep_visualizer] Support dynamic_reconfigure API
    to toggle which point to draw.
    And fix some error about tf conversion and nan computation
  * [jsk_footstep_controller] Wait for st service to be available
  * [jsk_footstep_controller] Ignore error in footstep_visualizer
  * [jsk_footstep_controller] Add use_footcoords option to select whether footcoords is used or not
  * [jsk_robot_startup] Forgot timestamp
  * [jsk_footstep_controller] Publish odom_init as transform and pose_stamped when odom_init is updated
  * [jsk_footstep_controller/footstep_visualizer] get leg_vertices from StabilizerService param
  * [jsk_footstep_controller] Fix indent of stabilizer_watcher.py
  * [jsk_footstep_controller/stabilizer_watcher] Do not call service call to hrpsys,
    use /act_contact_states topic to detect st status
  * [jsk_footstep_controller/footstep_visualizer] Fix zmp location by taking
    into account z componrnt.
    closes #518
  * [jsk_footstep_planner/footstep_visualizer] Fix indent
  * [jsk_footstep_controller] Draw Convex Hull of Support Polygon
  * [jsk_footstep_controller/footstep_visualizer] Add Reference capture point and Actual capture point
    and draw text
  * [jsk_footstep_planner] Fix skip_cropping=true behavior
  * Contributors: Kei Okada, Ryohei Ueda, Yuta Kojio, Iori Kumagai

 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 22 Mar 2016 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 01 Nov 2015 15:00:00 -0000

ros-indigo-jsk-footstep-controller (0.1.7-0trusty) trusty; urgency=high

  * [jsk_footstep_controller] Fix typo: init_odom -> odom_init

