=== debian/control ===
Source: ros-indigo-jsk-footstep-controller
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <garaemon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-genmsg, ros-indigo-geometry-msgs, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-footstep-planner, ros-indigo-jsk-pcl-ros, ros-indigo-jsk-topic-tools, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-message-filters, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2, ros-indigo-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-jsk-footstep-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-genmsg, ros-indigo-geometry-msgs, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-footstep-planner, ros-indigo-jsk-pcl-ros, ros-indigo-jsk-topic-tools, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-message-filters, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2, ros-indigo-urdf
Description: The jsk_footstep_controller package
